# nvme-solidigm-parse-telemetry-log(1) Manual Page

## NAME

nvme-solidigm-parse-telemetry-log - Parse and display Solidigm Telemetry log

## SYNOPSIS

    nvme solidigm parse-telemetry-log <device> [OPTIONS]

## DESCRIPTION

Retrieves, parses, and displays the Telemetry log for the given Solidigm NVMe device. This command provides detailed information about the device’s telemetry data, which can be useful for diagnostics and performance analysis.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

## OPTIONS

-g <num>
--host-generate=<num>

  Controls when to generate a new host-initiated report. Default value 1 generates a new host-initiated report, value 0 causes retrieval of an existing log. Valid values are 0 and 1.

-c
--controller-init

  Gather report generated by the controller.

-d <num>
--data-area=<num>

  Pick which telemetry data area to report. Default is 1, or 3 if a config file is specified. Valid options are 1, 2, 3, 4.

-j <file>
--config-file=<file>

  Specify a JSON configuration file for custom parsing of the telemetry log.

-s <file>
--source-file=<file>

  Specifies a binary file containing a telemetry log dump to parse instead of retrieving the log from a device. When this option is used, no device argument should be provided.

## EXAMPLES

- Retrieve and parse the telemetry log with default options:

      # nvme solidigm parse-telemetry-log /dev/nvme0

- Retrieve an existing telemetry log without generating a new one:

      # nvme solidigm parse-telemetry-log /dev/nvme0 -g 0

- Parse a specific data area of the telemetry log:

      # nvme solidigm parse-telemetry-log /dev/nvme0 -d 2

- Use a custom configuration file for parsing:

      # nvme solidigm parse-telemetry-log /dev/nvme0 -j config.json

- Parse a telemetry log from a binary file:

      # nvme solidigm parse-telemetry-log -s telemetry_dump.bin

## OUTPUT

The command outputs the parsed telemetry log in JSON format to stdout.

## NVME

Part of the nvme-cli suite